summaryrefslogtreecommitdiffstats
path: root/build_tools/clarch/larch/profiles/i686-testing-REMOTE/rootoverlay/root
diff options
context:
space:
mode:
Diffstat (limited to 'build_tools/clarch/larch/profiles/i686-testing-REMOTE/rootoverlay/root')
-rwxr-xr-xbuild_tools/clarch/larch/profiles/i686-testing-REMOTE/rootoverlay/root/LinHES-install.sh11
1 files changed, 9 insertions, 2 deletions
diff --git a/build_tools/clarch/larch/profiles/i686-testing-REMOTE/rootoverlay/root/LinHES-install.sh b/build_tools/clarch/larch/profiles/i686-testing-REMOTE/rootoverlay/root/LinHES-install.sh
index f11b365..85762da 100755
--- a/build_tools/clarch/larch/profiles/i686-testing-REMOTE/rootoverlay/root/LinHES-install.sh
+++ b/build_tools/clarch/larch/profiles/i686-testing-REMOTE/rootoverlay/root/LinHES-install.sh
@@ -14,10 +14,17 @@ xhost +
CMDLINE=$(cat /proc/cmdline)
echo $CMDLINE |grep -q nfsroot
NFSROOT=$?
-if [ x$NFSROOT = x1 ]
+echo $CMDLINE |grep -q clean_upgrade
+if [ $? = 0 ]
then
+ export CLEAN_UPGRADE=YES
+else
+ export CLEAN_UPGRADE=NO
+fi
- unbuffer MythVantage &
+if [ x$NFSROOT = x1 ]
+then
+ unbuffer MythVantage &
else
NETBOOT=YES MythVantage &
fi